<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use App\Models\Mobile_Template;

class MobileExport implements FromCollection,WithHeadings
{
    /**
     * Return the array data that will be used to create the Excel file.
     *
     * @return array
     */
    
     public function headings(): array
    {
        return [
            
            'Mobile Number'
        ];
    }

    public function collection()
    {
       // return collect([]);
       return Mobile_Template::select(['mobile'])->get();          
            // Optional rows with default/template data (for the user to fill in)
          
        
    }
}
